Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ServletRuntimeMBean

public interface ServletRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Describes a servlet.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getContextPath()` Returns context path
`int` | `getExecutionTimeAverage()` Returns the average amount of time all invocations of the servlet have executed since created.
`int` | `getExecutionTimeHigh()` Returns the amount of time the single longest invocation of the servlet has executed since created.
`int` | `getExecutionTimeLow()` Returns the amount of time the single shortest invocation of the servlet has executed since created.
`int` | `getExecutionTimeTotal()` Returns the amount of time all invocations of the servlet has executed since created.
`int` | `getInvocationTotalCount()` Gets the invocationTotalCount attribute of the ServletRuntimeMBean object
`int` | `getPoolMaxCapacity()` Returns the maximum capacity of this servlet for single thread model servlets.
`int` | `getReloadTotalCount()` Gets the reloadTotalCount attribute of the ServletRuntimeMBean object
`java.lang.String` | `getServletName()` Return the Servelet's name.
`java.lang.String` | `getServletPath()` Returns the servlet path
`java.lang.String` | `getURL()` Returns http://:port//
`java.lang.String[]` | `getURLPatterns()`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getServletName

    public java.lang.String getServletName()

  Return the Servelet's name.

  Returns:
    The servletName value

### getReloadTotalCount

    public int getReloadTotalCount()

  Gets the reloadTotalCount attribute of the ServletRuntimeMBean object

  Returns:
    The reloadTotalCount value

### getInvocationTotalCount

    public int getInvocationTotalCount()

  Gets the invocationTotalCount attribute of the ServletRuntimeMBean object

  Returns:
    The invocationTotalCount value

### getPoolMaxCapacity

    public int getPoolMaxCapacity()

  Returns the maximum capacity of this servlet for single thread model servlets.

  Returns:
    The poolMaxCapacity value

### getExecutionTimeTotal

    public int getExecutionTimeTotal()

  Returns the amount of time all invocations of the servlet has executed since created.

  Returns:
    The executionTimeTotal value

### getExecutionTimeHigh

    public int getExecutionTimeHigh()

  Returns the amount of time the single longest invocation of the servlet has executed since created.

  Returns:
    The executionTimeHigh value

### getExecutionTimeLow

    public int getExecutionTimeLow()

  Returns the amount of time the single shortest invocation of the servlet has executed since created. Note that for the CounterMonitor, the difference option must be used.

  Returns:
    The executionTimeLow value

### getExecutionTimeAverage

    public int getExecutionTimeAverage()

  Returns the average amount of time all invocations of the servlet have executed since created.

  Returns:
    The executionTimeAverage value

### getServletPath

    public java.lang.String getServletPath()

  Returns the servlet path

  Returns:
    The servletPath value

### getContextPath

    public java.lang.String getContextPath()

  Returns context path

  Returns:
    The contextPath value

### getURL

    public java.lang.String getURL()

  Returns http://:port//

  Returns:
    The uRL value

### getURLPatterns

    public java.lang.String[] getURLPatterns()

  Returns:
    url patterns for this servlet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD